/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    path = require('path'),
    readdirRecursiveSync = require('../../../../lib/file/readdir_recursive_sync.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Readdir recursive sync.'] = function (test) {
    var dirname = path.resolve(__dirname, '../../');
    var filenames = readdirRecursiveSync(dirname);
    test.ok(~filenames.indexOf(path.relative(dirname, __filename)));
    test.done();
};